/**
 * API Response Handling
 * This utility is responsible for handling API responses.
 * @author [Vivek Sudarsan]
 * @version 1.0.0
 */
/**
 * Default API response handling
 * @param response
 * @returns
 */
export declare const handleJsonResponse: (response: any) => Promise<any>;
/**
 * Deconstruct API Response
 * @param response
 * @returns
 */
export declare const formatJsonResponse: (response: {
    data: any;
    included: any;
}) => Promise<any>;
