/**
 * Constants (phrases, urls etc.)
 * @author [Vivek Sudarsan]
 * @version 0.1.0
 */
export declare const INTERACTION_CUSTOMERS_EXCLUDE: string[];
export declare const TOUCH_TYPES: {
    VIEW: string;
    FORM_FILL: string;
    IN_APP_VIEW: string;
};
export declare const TRACK_TYPE_MAP: any;
export declare const INTERACTION_TYPES: any;
export declare const URL: {
    [key: string]: {
        [key: string]: string;
    };
};
export declare const THIRD_PARTY_SCRIPTS: any;
export declare const THIRD_PARTY_REQUEST_URLS: string[];
export declare const THIRD_PARTY_URLS: {
    sentry: string;
};
export declare const EXCLUDED_FORM_TYPES: string[];
export declare const EXCLUDED_FORM_NAMES: string[];
export declare const SENSITIVE_DATA_KEYS: string[];
export declare const FORM_NAMES: any;
export declare const TEST_FORM_NAMES: any;
export declare const HEARBEAT_INTERVAL = 5000;
export declare const allElementTypes: string[];
export declare const titleElementTypes: string[];
export declare const containerElementTypes: string[];
export declare const buttonElementTypes: string[];
export declare const imageElementTypes: string[];
export declare const documentElementTypes: string[];
export declare const textElementTypes: string[];
export declare const IGNORED_CLASSES: string[];
export declare const IGNORED_PHRASES: string[];
