/**
 * Helper functions for Calendly
 *
 * @author [Vivek Sudarsan]
 * @version 0.1.0
 */

import { hideFramesToMutate } from '../helpers';

export const handleCalendlyEmbed = (visitorId: string) => {
  const frame: any = hideFramesToMutate();

  if (!frame) return;

  const src = frame.src;
  let url = new URL(src);
  url.searchParams.set('utm_content', visitorId);
  frame.src = url.toString();
  frame.style.display = 'inline';
};
